Whamcloud - gitweb
LU-10556 build: add require libyaml and zlib 10/31710/2
authorMinh Diep <minh.diep@intel.com>
Wed, 21 Mar 2018 19:30:42 +0000 (12:30 -0700)
committerOleg Drokin <oleg.drokin@intel.com>
Mon, 26 Mar 2018 20:39:58 +0000 (20:39 +0000)
Missing libyaml and zlib dev package

Test-Parameters: trivial

Change-Id: I167187c7bd11a2d92a6cc1fa8ccd7076f7ed5a85
Signed-off-by: Minh Diep <minh.diep@intel.com>
Reviewed-on: https://review.whamcloud.com/31710
Reviewed-by: James Simmons <uja.ornl@yahoo.com>
Tested-by: Jenkins
Tested-by: Maloo <hpdd-maloo@intel.com>
Reviewed-by: Andreas Dilger <andreas.dilger@intel.com>
Reviewed-by: Dmitry Eremin <dmitry.eremin@intel.com>
lustre.spec.in

index 89f45ea..d3a5dd6 100644 (file)
@@ -132,8 +132,8 @@ Source6: kmp-lustre-osd-zfs.files
 Source7: kmp-lustre-tests.files
 URL: https://wiki.hpdd.intel.com/
 BuildRoot: %{_tmppath}/lustre-%{version}-root
 Source7: kmp-lustre-tests.files
 URL: https://wiki.hpdd.intel.com/
 BuildRoot: %{_tmppath}/lustre-%{version}-root
-Requires: %{requires_kmod_name} = %{requires_kmod_version}
-BuildRequires: libtool
+Requires: %{requires_kmod_name} = %{requires_kmod_version} libyaml zlib
+BuildRequires: libtool libyaml-devel zlib-devel
 %if %{with servers}
 Requires: lustre-osd
 Requires: lustre-osd-mount
 %if %{with servers}
 Requires: lustre-osd
 Requires: lustre-osd-mount